<template>
    <div :class="gridClass">
        <div class="shadow-sm card">
            <div class="card-body">
                <span class="card-title text-muted text-uppercase">{{ data.title }}</span>
                <p class="card-text h4 font-weight-bold">{{ data.info }}</p>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "DataCard",
    props: {
        data: {
            type: Object,
            required: true
        }
    },
    computed: {
        gridClass() {
            return "col-md-" + this.data.grid;
        }
    }
};
</script>

<style lang="scss" module>
</style>